## ros-indigo-interaction-cursor-rviz 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(interaction_cursor_rviz)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS geometry_msgs interaction_cursor_msgs rviz)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

find_package(PkgConfig REQUIRED)

# Ogre
pkg_check_modules(OGRE OGRE)

# Qt Stuff
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})
add_definitions(-DQT_NO_KEYWORDS)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and scripts declared therein get installed
catkin_python_setup()

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES interaction_cursor_rviz
  CATKIN_DEPENDS geometry_msgs interaction_cursor_msgs rviz
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${QT_INCLUDE_DIR}
                    ${OGRE_INCLUDE_DIRS}
                    )

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set( headers
  include/interaction_cursor_rviz/interaction_cursor.h
)

# Convert the Qt Signals and Slots for QWidget events
qt4_wrap_cpp(MOC_SOURCES ${headers})

# Plugin Source
set(SOURCE_FILES
  src/interaction_cursor.cpp
)

add_library(interaction_cursor_rviz ${SOURCE_FILES} ${MOC_SOURCES})
add_dependencies(interaction_cursor_rviz interaction_cursor_msgs_gencpp)
target_link_libraries(interaction_cursor_rviz ${catkin_LIBRARIES} ${OGRE_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})


#############
## Install ##
#############

install(TARGETS interaction_cursor_rviz LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES  interaction_cursor_rviz_plugin_description.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-interaction-cursor-rviz (0.0.3-1trusty) trusty; urgency=high



 -- Adam Leeper <adamleeper@gmail.com>  Wed, 14 May 2014 07:00:00 -0000

ros-indigo-interaction-cursor-rviz (0.0.2-1trusty) trusty; urgency=high

  * add metapackage
  * apply catkin_lint
  * Choose the 'best' control when grabbing an object.
  * Contributors: Adam Leeper, Dane Powell

 -- Adam Leeper <adamleeper@gmail.com>  Tue, 13 May 2014 07:00:00 -0000

ros-indigo-interaction-cursor-rviz (0.0.1-1trusty) trusty; urgency=high

  * fixes launch files
  * fixes install paths
  * renamed plugin description
  * removed extra scripts
  * changed maintainer email
  * moves cat_user_entity to interaction_cursor_demo
  * fixes null pointer bug
  * fixed menu support through key events
  * reworking basic controls example
  * adds markers to message, fix key events
  * adds basic controls script for testing
  * disables update callback when disabled
  * adds gencpp build dependency to target
  * updated PLUGIN_EXPORT macro
  * catkinized
  * removes obsolete code
  * fixes scale, adds color/alpha properties
  * adds better support for cursor feedback
  * minor updates
  * adds feedback for attachment frames and poses
  * closer to menu support; removes old stuff
  * removes obsolete code, adds error messages for menus
  * changed to new interactive_marker api
  * significant changes to marker selection
  * Adds work-around for hasCustomParamter() in Ogre.
  * added a PR2 teleop test file
  * fixed start and stop dragging stuff, maybe
  * added marker grabbing
  * adds support for message API
  * initial marker highlighting works
  * Contributors: Adam Leeper, aleeper

 -- Adam Leeper <adamleeper@gmail.com>  Mon, 01 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-interaction-cursor-rviz
Section: misc
Priority: extra
Maintainer: Adam Leeper <adamleeper@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-interaction-cursor-msgs, ros-indigo-rviz
Homepage: http://www.ros.org/wiki/interaction_cursor_rviz
Standards-Version: 3.9.2

Package: ros-indigo-interaction-cursor-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-interaction-cursor-msgs, ros-indigo-rviz
Description: An Rviz plugin that implements the interaction_cursor_msgs API to interact with interactive_markers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-interaction-cursor-rviz//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
